Create category
curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/categories \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/categories"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"created_at": "2015-04-13T18:01:23.000Z",
"guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"is_default": true,
"is_income": false,
"metadata": "some metadata",
"name": "Auto Insurance",
"parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"updated_at": "2015-05-13T18:01:23.000Z"
}
}Categories
Create category
POST
/
users
/
{user_guid}
/
categories
Create category
Use this endpoint to create a new custom category for a specific
user.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
application/json
Custom category object to be created
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Category creation date-time.
Example:
"2015-04-13T18:01:23.000Z"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
true
Example:
false
Example:
"some metadata"
Example:
"Auto Insurance"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
"2015-05-13T18:01:23.000Z"
⌘I

